package controller

import (
	"web-qudo-be/app/module/partner_contents/service"

	"github.com/rs/zerolog"
)


type Controller struct {
	PartnerContent    PartnerContentController
}

func NewController(
	
	partnerService service.PartnerContentService,
	log zerolog.Logger,
) *Controller {
	return &Controller{
		PartnerContent:    NewPartnerContentController(partnerService, log),
	}
}